Subject: bug#59793: 29.0.60; subr.elc is not compiled correctly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Dec 2022 10:26:23 +0200

> From: Akib Azmain Turja <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 10 Dec 2022 12:09:58 +0600
> 
> Hooks can have global and local function.  I'm asking how to copy the
> local functions in 'yank-transform-functions' hook to the temporary
> buffer?  (So that 'run-hook-wrapped' calls the same functions on both
> (original and temporary) buffers.)

Isn't the local value of the hook accessible via buffer-local-value?

And setting that to be the local hook in the temporary buffer should
be achievable by calling add-hook with the 4th argument non-nil.

Or what else am I missing?